<?php

if (!defined('WPINC')) {
    wp_die();
}

class SDOP_Shortcode
{
    protected static $instance = NULL;

    /**
     * Instance of this class.
     *
     * @since    1.0.0
     *
     * @var      object
     */
    public function __construct()
    {
        //Create Image Gallery Custom Post
        add_shortcode(SEZNAM_SDOP_SLUG, [$this, 'shortcode']);

    }

    /**
     * Return an instance of this class.
     *
     * @return    object    A single instance of this class.
     * @since     1.0.0
     *
     */
    public static function get_instance()
    {
        // If the single instance hasn't been set, set it now.
        if (NULL == self::$instance) {
            self::$instance = new self;
        }

        return self::$instance;
    }

    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    public function shortcode($atts, $content = NULL)
    {
        if (isset($atts['id'])) {
            $web_id = $atts['id'];
        } else {
            return null;
        }

        if(SDOP_Main::check_newsfeed()){
            return '<div data-szn-recass-box=\'{"zone_id": ' . $web_id . '}\'></div>';
        }

        return null;


    }


}

