<?php

if (!defined('WPINC')) {
    wp_die();
}

// Creating the widget
class SDOP_RegisterWidget_2 extends WP_Widget
{

    /**
     *
     */
    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            SEZNAM_SDOP_WIDGET_SLUG_2,

            // Widget name will appear in UI
            esc_attr__('Seznam Doporučuje WP Widget 2', SEZNAM_SDOP_SLUG),

            // Widget description
            ['description' => esc_attr__('This widget allows you to put Seznam recommendation box to your content.', SEZNAM_SDOP_SLUG),]
        );
    }

    /**
     * Creating widget front-end
     * @param array $args
     * @param array $instance
     */
    public function widget($args, $instance)
    {
        if(SDOP_Main::check_newsfeed()) {
            $title = apply_filters('widget_title', $instance['title']);

            $box_id = get_option('sdop-box-id-5');

            if (!$box_id) {
                return;
            }

            // before and after widget arguments are defined by themes
            echo $args['before_widget'];
            if (!empty($title))
                echo $args['before_title'] . $title . $args['after_title'];

            // This is where you run the code and display the output
            echo do_shortcode('[' . SEZNAM_SDOP_SLUG . ' id="' . $box_id . '"]');
            echo $args['after_widget'];
        }
    }

    /**
     * @param array $instance
     * @return void
     */
    public function form($instance)
    {
        if (isset($instance['title'])) {
            $title = $instance['title'];
        } else {
            $title = __('New title', 'wpb_widget_domain');
        }

        // Widget admin form
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
                   name="<?php echo $this->get_field_name('title'); ?>" type="text"
                   value="<?php echo esc_attr($title); ?>"/>

        </p>

        <?php

    }


    /**
     * Updating widget replacing old instances with new
     * @param array $new_instance
     * @param array $old_instance
     * @return array
     */
    public function update($new_instance, $old_instance)
    {
        $instance = [];
        $instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : '';
        return $instance;
    }

// Class wpb_widget ends here
}